<?php
/*================================================================*\
|| # Copyright (C) 2011  Joomla51. All Rights Reserved.           ||
|| # license - PHP files are licensed under  GNU/GPL V2           ||
|| # license - CSS  - JS - IMAGE files are Copyrighted material   ||
|| # Website: http://www.joomla51.com                             ||
\*================================================================*/
defined('_JEXEC') or die;
JHtml::_('bootstrap.framework');
define( 'nexus', dirname(__FILE__) );
require("php/config.php");
require("php/variables.php");
$params = $app->getParams();
$pageclass = $params->get('pageclass_sfx');
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />
<?php include ("php/styles.php");?>
<?php include ("php/scripts.php");?>

<?php echo ($head_custom_code); ?>

</head>
<body class="<?php echo $pageclass; ?>" >
		<div id="container_header">
			<div id="header"><div class="wrapper960">
				<?php require("php/layouts/header.php"); ?>
				<?php require("php/layouts/social_icons.php"); ?>
		        <?php if ($this->countModules( 'header-1' )) : ?>
		        <div class="header-1">
		            <jdoc:include type="modules" name="header-1" style="none" />
		        </div>
		        <?php endif; ?>
		        <?php if ($this->countModules( 'header-2' )) : ?>
		        <div class="header-2">
		            <jdoc:include type="modules" name="header-2" style="none" />
		        </div>
		        <?php endif; ?>
			</div></div>		
		</div>
		
		<div id="container_hornav">
			<div class="wrapper960">
				<?php require("php/layouts/hornav.php"); ?>
	        </div>
		</div>

		<?php if ($this->countModules('showcase')) { ?>
		<div id="container_slideshow" class="j51container"><div class="wrapper960">
		<?php require("php/layouts/slideshow.php"); ?>
		</div></div>
		<?php }?>

		<?php if ($this->countModules('top-1a') || $this->countModules('top-1b') || $this->countModules('top-1c') || $this->countModules('top-1d') || $this->countModules('top-1e') || $this->countModules('top-1f')) { ?>
		<div id="container_top1_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.8"><?php if($particle_block == "top1") {echo $particles;} ?><div class="wrapper960">
		<?php require("php/layouts/top1_modules.php"); ?>
		</div></div>
		<?php }?>

		<?php if ($this->countModules('top-2a') || $this->countModules('top-2b') || $this->countModules('top-2c') || $this->countModules('top-2d') || $this->countModules('top-2e') || $this->countModules('top-2f')) { ?>
		<div id="container_top2_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.8"><?php if($particle_block == "top2") {echo $particles;} ?><div class="wrapper960">
		<?php require("php/layouts/top2_modules.php"); ?>
		</div></div>
		<?php }?>

	    <?php if ($this->countModules('breadcrumb') || $this->countModules('top-3a') || $this->countModules('top-3b') || $this->countModules('top-3c') || $this->countModules('top-3d') || $this->countModules('top-3e') || $this->countModules('top-3f')) { ?>
	    <div id="container_top3_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.8"><?php if($particle_block == "top3") {echo $particles;} ?><div class="wrapper960">
		<?php require("php/layouts/top3_modules.php"); ?>
		</div></div>
		<?php }?>

		<div id="container_main" class="j51container"><div class="wrapper960">
		<?php require("php/layouts/main.php"); ?>
		</div></div>

		<?php if ($this->countModules('bottom-1a') || $this->countModules('bottom-1b') || $this->countModules('bottom-1c') || $this->countModules('bottom-1d') || $this->countModules('bottom-1e') || $this->countModules('bottom-1f')) { ?>
		<div id="container_bottom1_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.8"><?php if($particle_block == "bottom1") {echo $particles;} ?><div class="wrapper960">
		<?php require("php/layouts/bottom1_modules.php"); ?>
		</div></div>
		<?php }?>

		<?php if ($this->countModules('bottom-2a') || $this->countModules('bottom-2b') || $this->countModules('bottom-2c') || $this->countModules('bottom-2d') || $this->countModules('bottom-2e') || $this->countModules('bottom-2f')) { ?>
		<div id="container_bottom2_modules" class="j51container" style="background-position: 50% 0%" data-stellar-background-ratio="0.8"><?php if($particle_block == "bottom2") {echo $particles;} ?><div class="wrapper960">
		<?php require("php/layouts/bottom2_modules.php"); ?>
		</div></div>
		<?php }?>
		<div class="clearfix"></div>

		<?php require("php/layouts/base.php"); ?>
	</div>
	
<?php echo ($body_custom_code); ?>

<!-- Stellar -->
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/jquery.stellar.js" charset="utf-8"></script>
<script type="text/javascript">
	if (Modernizr.touch) {   
    } else {   
        jQuery(window).stellar({
		horizontalScrolling: false
	}); 
}  
</script>

<?php if($particle_block != "none") { ?>
	<script src="//cdn.jsdelivr.net/particles.js/2.0.0/particles.min.js"></script>
	<script type="text/javascript">
	particlesJS("particles-js", {"particles":{"number":{"value":200,"density":{"enable":true,"value_area":800}},"color":{"value":"<?php echo $particle_color; ?>"},"shape":{"type":"circle","stroke":{"width":0,"color":"#000000"},"polygon":{"nb_sides":4},"image":{"src":"img/github.svg","width":100,"height":100}},"opacity":{"value":1,"random":true,"anim":{"enable":true,"speed":1,"opacity_min":0,"sync":false}},"size":{"value":11,"random":true,"anim":{"enable":false,"speed":4,"size_min":0.3,"sync":false}},"line_linked":{"enable":false,"distance":150,"color":"#ffffff","opacity":0.4,"width":1},"move":{"enable":true,"speed":3.2,"direction":"top-right","random":true,"straight":false,"out_mode":"out","bounce":false,"attract":{"enable":false,"rotateX":600,"rotateY":600}}},"interactivity":{"detect_on":"canvas","events":{"onhover":{"enable":true,"mode":"bubble"},"onclick":{"enable":true,"mode":"repulse"},"resize":true},"modes":{"grab":{"distance":400,"line_linked":{"opacity":1}},"bubble":{"distance":250,"size":0,"duration":2,"opacity":0,"speed":3},"repulse":{"distance":400,"duration":0.4},"push":{"particles_nb":4},"remove":{"particles_nb":2}}},"retina_detect":true});var count_particles, stats, update; stats = new Stats; stats.setMode(0); stats.domElement.style.position = 'absolute'; stats.domElement.style.left = '0px'; stats.domElement.style.top = '0px'; document.body.appendChild(stats.domElement); count_particles = document.querySelector('.js-count-particles'); update = function() { stats.begin(); stats.end(); if (window.pJSDom[0].pJS.particles && window.pJSDom[0].pJS.particles.array) { count_particles.innerText = window.pJSDom[0].pJS.particles.array.length; } requestAnimationFrame(update); }; requestAnimationFrame(update);;

	</script>
<?php } ?>
<jdoc:include type="modules" name="debug" />
</body> 
</html>