

<!--Setting up Layout for MainContent and Side Columns. Check to see if modules are enabled or disabled in the sidecolumns-->
<?php
if($this->countModules('sidecol-a') == 0 || $this->countModules('sidecol-1a') == 0 || $this->countModules('sidecol-1b') == 0 || $this->countModules('sidecol-1c') == 0 || $this->countModules('sidecol-b') == 0 || $this->countModules('sidecol-2a') == 0 || $this->countModules('sidecol-2b') == 0 || $this->countModules('sidecol-2c') == 0) $contentwidth = '_full';
if($this->countModules('sidecol-a') >= 1 || $this->countModules('sidecol-1a') >= 1 || $this->countModules('sidecol-1b') >= 1 || $this->countModules('sidecol-1c') >= 1 || $this->countModules('sidecol-b') >= 1 || $this->countModules('sidecol-2a') >= 1 || $this->countModules('sidecol-2b') >= 1 || $this->countModules('sidecol-2c') >= 1) $contentwidth = '_remainder';
?>

<div id ="main" class="block_holder">

<!--Side Columns Layout-->                          
<?php if ($this->countModules( 'sidecol-a' ) || $this->countModules( 'sidecol-1a' ) || $this->countModules( 'sidecol-1b' ) || $this->countModules( 'sidecol-1c' )) : ?>
    <div id="sidecol_a" class="side_margins sidecol_a">
        <div class="sidecol_block">
            <?php if ($this->countModules('sidecol-a')) { ?> 
            <div class="sidecol-a"><jdoc:include type="modules" name="sidecol-a" style="mod_standard" /></div>
            <?php } ?>
            <?php if ($this->countModules('sidecol-1a')) { ?> 
            <div class="sidecol-a sidecol-1a"><jdoc:include type="modules" name="sidecol-1a" style="mod_standard" /></div>
            <?php } ?>
            <?php if ($this->countModules('sidecol-1b')) { ?> 
            <div class="sidecol-a sidecol-1b"><jdoc:include type="modules" name="sidecol-1b" style="mod_standard" /></div>
            <?php } ?>
            <?php if ($this->countModules('sidecol-1c')) { ?> 
            <div class="sidecol-a sidecol-1c"><jdoc:include type="modules" name="sidecol-1c" style="mod_standard" /></div>
            <?php } ?>
        </div>
    </div>
<?php endif; ?>
       
    
<?php if ($this->countModules( 'sidecol-b' ) || $this->countModules( 'sidecol-2a' ) || $this->countModules( 'sidecol-2b' ) || $this->countModules( 'sidecol-2c' )) : ?>    
    <div id="sidecol_b" class="side_margins sidecol_b">
        <div class="sidecol_block">
            <?php if ($this->countModules('sidecol-b')) { ?> 
            <div class="sidecol-b"><jdoc:include type="modules" name="sidecol-b" style="mod_standard" /></div>
            <?php } ?>
            <?php if ($this->countModules('sidecol-2a')) { ?> 
            <div class="sidecol-b sidecol-2a"><jdoc:include type="modules" name="sidecol-2a" style="mod_standard" /></div>
            <?php } ?>
            <?php if ($this->countModules('sidecol-2b')) { ?> 
            <div class="sidecol-b sidecol-2b"><jdoc:include type="modules" name="sidecol-2b" style="mod_standard" /></div>
            <?php } ?>
            <?php if ($this->countModules('sidecol-2c')) { ?> 
            <div class="sidecol-b sidecol-2c"><jdoc:include type="modules" name="sidecol-2c" style="mod_standard" /></div>
            <?php } ?>
        </div>
    </div>
    </div>
<?php endif; ?>
<!--End Side Columns Layout-->

<!--Find Content width and show component area-->
<div id="content<?php echo $contentwidth; ?>" class="side_margins content<?php echo $contentwidth; ?>">

    <!--Modules ContentTop-->
    <?php if($this->params->get('contenttop_auto') != '1') : ?>
    <?php if ($this->countModules('contenttop-a') || $this->countModules('contenttop-b') || $this->countModules('contenttop-c')) { ?>
    <div class="wrapper_contenttop">
                <?php if ($this->countModules('contenttop-a')) { ?>
                <div class="contenttop" style="width:<?php echo $contenttop_width ?>;"><jdoc:include type="modules" name="contenttop-a" style="mod_standard"/></div><?php } ?>
                <?php if ($this->countModules('contenttop-b')) { ?>
                <div class="contenttop" style="width:<?php echo $contenttop_width ?>;"><jdoc:include type="modules" name="contenttop-b" style="mod_standard"/></div><?php } ?>
                <?php if ($this->countModules('contenttop-c')) { ?>
                <div class="contenttop" style="width:<?php echo $contenttop_width ?>;"><jdoc:include type="modules" name="contenttop-c" style="mod_standard"/></div><?php } ?>
                <div class="clear"></div>
                </div>
    <?php }?>
                
    <?php else : ?>
                
    <?php if ($this->countModules('contenttop-a') || $this->countModules('contenttop-b') || $this->countModules('contenttop-c')) { ?>
    <div class="wrapper_contenttop">
                <?php if ($this->countModules('contenttop-a')) { ?>
                <div class="contenttop" style="width:<?php echo $contenttop_a_manual ?>%;"><jdoc:include type="modules" name="contenttop-a" style="mod_standard"/></div><?php } ?>
                <?php if ($this->countModules('contenttop-b')) { ?>
                <div class="contenttop" style="width:<?php echo $contenttop_b_manual ?>%;"><jdoc:include type="modules" name="contenttop-b" style="mod_standard"/></div><?php } ?>
                <?php if ($this->countModules('contenttop-c')) { ?>
                <div class="contenttop" style="width:<?php echo $contenttop_c_manual ?>%;"><jdoc:include type="modules" name="contenttop-c" style="mod_standard"/></div><?php } ?>
    <div class="clear"></div>
    </div>
        <?php }?>
    <?php endif; ?>
    <!--End Modules ContentTop-->

        <div class="maincontent">
                <div class="message">
                    <?php if ($this->getBuffer( 'message' )) : ?>
                        <jdoc:include type="message" />
                    <?php endif; ?>
                </div>
            <jdoc:include type="component" /> <div class="clear"></div>
        </div>

    <!--Modules ContentBottom-->
    <?php if($this->params->get('contentbottom_auto') != '1') : ?>
    <?php if ($this->countModules('contentbottom-a') || $this->countModules('contentbottom-b') || $this->countModules('contentbottom-c')) { ?>
    <div class="wrapper_contentbottom">
                <?php if ($this->countModules('contentbottom-a')) { ?>
                <div class="contentbottom" style="width:<?php echo $contentbottom_width ?>;"><jdoc:include type="modules" name="contentbottom-a" style="mod_standard"/></div><?php } ?>
                <?php if ($this->countModules('contentbottom-b')) { ?>
                <div class="contentbottom" style="width:<?php echo $contentbottom_width ?>;"><jdoc:include type="modules" name="contentbottom-b" style="mod_standard"/></div><?php } ?>
                <?php if ($this->countModules('contentbottom-c')) { ?>
                <div class="contentbottom" style="width:<?php echo $contentbottom_width ?>;"><jdoc:include type="modules" name="contentbottom-c" style="mod_standard"/></div><?php } ?>
                <div class="clear"></div>
                </div>
    <?php }?>
                
    <?php else : ?>
                
    <?php if ($this->countModules('contentbottom-a') || $this->countModules('contentbottom-b') || $this->countModules('contentbottom-c')) { ?>
    <div class="wrapper_contentbottom">
                <?php if ($this->countModules('contentbottom-a')) { ?>
                <div class="contentbottom" style="width:<?php echo $contentbottom_a_manual ?>%;"><jdoc:include type="modules" name="contentbottom-a" style="mod_standard"/></div><?php } ?>
                <?php if ($this->countModules('contentbottom-b')) { ?>
                <div class="contentbottom" style="width:<?php echo $contentbottom_b_manual ?>%;"><jdoc:include type="modules" name="contentbottom-b" style="mod_standard"/></div><?php } ?>
                <?php if ($this->countModules('contentbottom-c')) { ?>
                <div class="contentbottom" style="width:<?php echo $contentbottom_c_manual ?>%;"><jdoc:include type="modules" name="contentbottom-c" style="mod_standard"/></div><?php } ?>
    <div class="clear"></div>
    </div>
        <?php }?>
    <?php endif; ?>
    <!--End Modules ContentBottom-->

</div>
<div class="clear"></div>
<!--End Content width and show component area-->
           
            

</div>
<div class="clear"></div>