<?php
defined( '_JEXEC' ) or die( 'Restricted index access' );
include ("convert_rgb.php");

$document->addStyleSheet('templates/'.$this->template.'/css/bootstrap.css');
$document->addStyleSheet('templates/'.$this->template.'/css/typo.css');
$document->addStyleSheet('templates/'.$this->template.'/css/jstuff.css');
$document->addStyleSheet('templates/'.$this->template.'/css/animate.css');
$document->addStyleSheet('templates/'.$this->template.'/css/vegas.css');
$document->addStyleSheet('templates/'.$this->template.'/css/hover.css');

if ($fontawesome_sw) {
    $document->addStyleSheet('templates/'.$this->template.'/css/font-awesome.css');
}
$document->addStyleSheet('templates/'.$this->template.'/css/nexus.css');

$googlefonts = array($body_fontstyle, $h1head_fontstyle, $articlehead_fontstyle, $logo_fontstyle, $modulehead_fontstyle, $hornav_fontstyle);
$websafefonts = array("Arial, sans-serif", "Arial, Helvetica, sans-serif", "Courier, monospace", "Garamond, serif", "Georgia, serif", "Impact, Charcoal, sans-serif", "Lucida Console, Monaco, monospace", "MS Sans Serif, Geneva, sans-serif", "MS Serif, New York, sans-serif", "Palatino Linotype, Book Antiqua, Palatino, serif", "Tahoma, Geneva, sans-serif", "Times New Roman, Times, serif", "Trebuchet MS, Helvetica, sans-serif", "Verdana, Geneva, sans-serif", "Arial");
// remove websafe
$googlefonts = array_diff($googlefonts, $websafefonts);
// remove duplicates
$googlefonts = array_keys(array_flip($googlefonts));
// remove spaces
$font_subset = str_replace(' ', '', $font_subset);
// loop
foreach ($googlefonts as $v) {
    echo '<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family='.$v.':300,400,500,700&subset='.$font_subset.'" /> ';
}

$particles = '<div id="particles-js"></div>'
?>

<?php if($responsive_sw == "1") : ?>
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/css/responsive.css" type="text/css" />
<style type="text/css">
@media only screen and (max-width: <?php echo ($wrapper_width); ?>px) {
.wrapper960 {
	width:100% !important;
}
}
@media only screen and (max-width: <?php echo ($hornav_breakpoint); ?>px) {
#container_hornav-sticky-wrapper, #container_hornav {display:none !important;}
.slicknav_menu {display:block;}
}
</style>
<?php endif; ?>

<style type="text/css">
body, input, button, select, textarea {font-family:<?php echo str_replace("+"," ",$body_fontstyle); ?> }
h1{font-family:<?php echo str_replace("+"," ",$h1head_fontstyle); ?> }
h2{font-family:<?php echo str_replace("+"," ",$articlehead_fontstyle); ?> }
.module h3, .module_menu h3{font-family:<?php echo str_replace("+"," ",$modulehead_fontstyle); ?>; }
.hornav{font-family:<?php echo str_replace("+"," ",$hornav_fontstyle); ?> }
h1.logo-text a{font-family:<?php echo str_replace("+"," ",$logo_fontstyle); ?> }
<?php if($this->direction == 'rtl') : ?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/css/template_rtl.css" type="text/css" />
<?php endif; ?>

/*-- Typo --*/ 
body {color:<?php echo ($body_font_color); ?>; font-size: <?php echo ($body_fontsize); ?>}
h2, h2 a:link, h2 a:visited {color: <?php echo ($articletitle_font_color); ?> ; }
.module h3, .module_menu h3, h3 {color: <?php echo ($modulehead_font_color); ?> }
a {color: <?php echo ($content_link_color); ?> }
hr:before {color: <?php echo ($content_link_color); ?> !important;}

/*-- Logo --*/ 
h1.logo-text a {
	color: <?php echo ($logo_font_color) ?>;
}
p.site-slogan {color: <?php echo ($slogan_font_color); ?> }
.logo a {left:<?php echo ($logo_x); ?>px}
.logo a {top:<?php echo ($logo_y); ?>px}

/*-- Hornav --*/
.hornav ul li a  {color: <?php echo ($hornav_font_color); ?> }
.hornav ul ul li a  {color: <?php echo ($hornav_dd_color); ?> }
.hornav ul ul {background-color: <?php echo ($hornav_ddbackground_color); ?> }
.hornav ul ul:before {border-color: transparent transparent <?php echo ($hornav_ddbackground_color); ?> transparent;}
#container_hornav {background-color: <?php echo ($hornav_bg); ?>;}

/* Layout */
.sidecol_a {width: <?php echo ($sidecola_width); ?>% }
.sidecol_b {width: <?php echo ($sidecolb_width); ?>% }
.maincontent {padding: 60px 30px 50px;}
<?php 
	$sidecola = false;
	$sidecolb = false;
	if ($this->countModules( 'sidecol-a') >= 1 || $this->countModules( 'sidecol-1a') >= 1 || $this->countModules( 'sidecol-1b') >= 1 || $this->countModules( 'sidecol-1c') >= 1) {
		$sidecola = true;
	}
	if ($this->countModules('sidecol-b') >= 1 || $this->countModules('sidecol-2a') >= 1 || $this->countModules('sidecol-2b') >= 1 || $this->countModules('sidecol-2c') >= 1) {
		$sidecolb = true;
	}
?>
<?php if ($sidecola && $sidecolb) : ?>
#content_remainder {width:<?php echo 100 - ($sidecola_width + $sidecolb_width) ?>% }
<?php elseif($sidecola) : ?>
#content_remainder {width:<?php echo 100 - ($sidecola_width) ?>% }
<?php elseif($sidecolb) : ?>
#content_remainder {width:<?php echo 100 - ($sidecolb_width) ?>% }
<?php endif; ?>
<?php if($this->params->get('column_layout') == 'SCOLA-SCOLB-COM') : ?>
.sidecol_a {float:left;}
.sidecol_b {float:left;}
#content_remainder {float:right;}
.maincontent {padding-left: 50px;}
<?php elseif($this->params->get('column_layout') == 'COM-SCOLA-SCOLB') : ?>
#content_remainder {float:left;}
.sidecol_a {float:right;}
.sidecol_b {float:right;}
.sidecol_a {float:right;}
.maincontent {padding-left: 50px;}
<?php elseif($this->params->get('column_layout') == 'SCOLA-COM-SCOLB') : ?>  
.sidecol_a {float:left; }
.sidecol_b {float:right; }
#content_remainder {float:left;}
<?php endif; ?>
@media only screen and (max-width: <?php echo ($headerslidewidth); ?>px) {
	.vegas-slide-inner {
		background-size: cover !important;
	}
}

#container_header .wrapper960 {
	min-height: <?php echo $headerslideheight; ?>px;
}

/* Social Icons */
#socialmedia ul li a [class^="fa-"]::before, #socialmedia ul li a [class*=" fa-"]::before {color: <?php echo $this->params->get('social_style'); ?>}

/* Wrapper Width */
.wrapper960, .backgrounds .content_background {width: <?php echo ($wrapper_width); ?>px ;}

/* Button Colour */
.btn, .btn-group.open .btn.dropdown-toggle, .input-append .add-on, .input-prepend .add-on, .pager.pagenav a, .btn-primary:active,
.btn-primary.active, .btn-primary.disabled, .btn-primary[disabled], .btn:hover, .slidesjs-next.slidesjs-navigation, .slidesjs-previous.slidesjs-navigation,
.search .icon-search {
	background-color: <?php echo $button_color ?>;
}
.header-1 ul.menu a:hover {color: <?php echo $button_color ?>}
.btn:hover, .readmore .btn:hover, .dropdown-toggle:hover, .search .icon-search:hover, .search .button:hover {background-color: <?php echo $button_hover_color ?>; color: #ffffff;}
.dropdown-toggle, .label-info[href], .badge-info[href], #mc-embedded-subscribe:hover, .tagspopular a:hover  {
	background-color: <?php echo $button_color ?>;
} 
.tags .label-info[href] {
	background-color: transparent;
	color: <?php echo $button_color ?>;
}
.owl-theme .owl-controls .owl-buttons div {
	background-color: <?php echo $button_color ?> !important;
}

/* Colors */
.slicknav_menu {background:<?php echo $button_hover_color ?>}
.slicknav_btn {background:rgba(0,0,0,0.35)}
body {background-color: <?php echo $bgcolor; ?>;}
#container_header {background-color: <?php echo $header_color; ?>;}
#container_top1_modules {
	<?php if (!empty($top1_bg)) { ?>background-image: url(<?php echo $this->baseurl ?>/<?php echo $top1_bg; ?>);
	<?php } ?>background-color: <?php echo $top1_color; ?>;
}
#container_top2_modules {
	<?php if (!empty($top2_bg)) { ?>background-image: url(<?php echo $this->baseurl ?>/<?php echo $top2_bg; ?>);
	<?php } ?>background-color: <?php echo $top2_color; ?>;
}
#container_top3_modules {
	<?php if (!empty($top3_bg)) { ?>background-image: url(<?php echo $this->baseurl ?>/<?php echo $top3_bg; ?>);
	<?php } ?>background-color: <?php echo $top3_color ?>;
}
#container_main {
	background-color: <?php echo $elementcolor3; ?>;
}
#container_bottom1_modules {
	<?php if (!empty($bottom1_bg)) { ?>background-image: url(<?php echo $this->baseurl ?>/<?php echo $bottom1_bg; ?>);
	<?php } ?>background-color: <?php echo $elementcolor16; ?>;
}
#container_bottom2_modules {
	<?php if (!empty($bottom2_bg)) { ?>background-image: url(<?php echo $this->baseurl ?>/<?php echo $bottom2_bg; ?>);
	<?php } ?>background-color: <?php echo $elementcolor18; ?>;
}
#container_base, #container_footermenu, #container_copyright {
	background-color: <?php echo $elementcolor9; ?>;
}

/* Responsive Options */
<?php if($responsive_sw == "1") : ?>
<?php if($res_top1_sw != "1") : ?>
@media only screen and ( max-width: 767px ) {
#container_top1_modules {display:none;}
}
<?php endif; ?>
<?php if($res_top2_sw != "1") : ?>
@media only screen and ( max-width: 767px ) {
#container_top2_modules {display:none;}
}
<?php endif; ?>
<?php if($res_top3_sw != "1") : ?>
@media only screen and ( max-width: 767px ) {
#container_top3_modules {display:none;}
}
<?php endif; ?>
<?php if($res_sidecola_sw != "1") : ?>
@media only screen and ( max-width: 767px ) {
.sidecol_a {display:none;}
}
<?php endif; ?>
<?php if($res_sidecolb_sw != "1") : ?>
@media only screen and ( max-width: 767px ) {
.sidecol_b {display:none;}
}
<?php endif; ?>
<?php if($res_bottom_sw != "1") : ?>
@media only screen and ( max-width: 767px ) {
#container_bottom1_modules, #container_bottom2_modules {display:none;}
}
<?php endif; ?>
<?php if($res_base_sw != "1") : ?>
@media only screen and ( max-width: 767px ) {
#base1_modules, #base2_modules {display:none;}
}
<?php endif; ?>
<?php if($res_header_sw != "1") : ?>
@media only screen and ( max-width: 767px ) {
.header-1, .header-2 {display:none;}
}
<?php endif; ?>

<?php if($mobile_showcase_sw == '1') : ?>
@media only screen and ( max-width: 767px ) {
.showcase {display:none;}
.mobile_showcase {display:inline;}
}
<?php else : ?>
@media only screen and ( max-width: 767px ) {
.showcase {display:inline;}
.mobile_showcase {display:none;}
}
<?php endif; ?>
<?php endif; ?>
/* Custom Reponsive CSS */
<?php if($tabport_css != "") : ?>
@media only screen and (min-width: 768px) and (max-width: 959px) {
<?php echo ($tabport_css); ?>
}
<?php endif; ?>   
<?php if($mobland_css != "") : ?>
@media only screen and ( max-width: 767px ) {
<?php echo ($mobland_css); ?>
}
<?php endif; ?>   
<?php if($mobport_css != "") : ?>
@media only screen and (max-width: 440px) {
<?php echo ($mobport_css); ?>
}
<?php endif; ?>

 /* Module Container Padding */
<?php if($top1_padding != "0") : ?>
#top1_modules.block_holder {padding: 0;}
#top1_modules .module_surround, #top1_modules .module_content {padding: 0;}
<?php endif; ?>
<?php if($top2_padding != "0") : ?>
#top2_modules.block_holder {padding: 0;}
#top2_modules .module_surround, #top2_modules .module_content {padding: 0;}
<?php endif; ?>
<?php if($top3_padding != "0") : ?>
#top3_modules.block_holder {padding: 0;}
#top3_modules .module_surround, #top3_modules .module_content {padding: 0;}
<?php endif; ?>
<?php if($bottom_padding != "0") : ?>
#bottom_modules.block_holder {padding: 0;}
#bottom_modules .module_surround, #bottom_modules .module_content {padding: 0;}
<?php endif; ?>
<?php if($bottom2_padding != "0") : ?>
#bottom2_modules.block_holder {padding: 0;}
#bottom2_modules .module_surround, #bottom2_modules .module_content  {padding: 0;}
<?php endif; ?>
<?php if($base1_padding != "0") : ?>
#base1_modules.block_holder {padding: 0;}
#base1_modules .module_surround, #base1_modules .module_content  {padding: 0;}
<?php endif; ?>
<?php if($base2_padding != "0") : ?>
#base2_modules.block_holder {padding: 0;}
#base2_modules .module_surround, #base2_modules .module_content  {padding: 0;}
<?php endif; ?>

 /* Module Container Width */
<?php if($top1_width100 != "0") : ?>
#container_top1_modules .wrapper960 {width:100%;}
#top1_modules.block_holder {padding: 0;}
<?php endif; ?>
<?php if($top2_width100 != "0") : ?>
#container_top2_modules .wrapper960 {width:100%;}
#top2_modules.block_holder {padding: 0;}
<?php endif; ?>
<?php if($top3_width100 != "0") : ?>
#container_top3_modules .wrapper960 {width:100%;}
#top3_modules.block_holder {padding: 0;}
<?php endif; ?>
<?php if($bottom1_width100 != "0") : ?>
#container_bottom1_modules .wrapper960 {width:100%;}
#bottom1_modules.block_holder {padding: 0;}
<?php endif; ?>
<?php if($bottom2_width100 != "0") : ?>
#container_bottom2_modules .wrapper960 {width:100%;}
#bottom2_modules.block_holder {padding: 0;}
<?php endif; ?>
<?php if($base1_width100 != "0") : ?>
#container_base1_modules .wrapper960 {width:100%;}
#base1_modules.block_holder {padding: 0;}
<?php endif; ?>
<?php if($base2_width100 != "0") : ?>
#container_base2_modules .wrapper960 {width:100%;}
#base2_modules.block_holder {padding: 0;}
<?php endif; ?>

/* Module Style Overrides */
<?php foreach ($moduleoverrides as $item) : if($item->module_position != "0") : ?>
<?php if (!empty($item->module_bg_image)) { ?>
.<?php echo $item->module_position; ?> {
	background-image: url(<?php echo $this->baseurl ?>/<?php echo $item->module_bg_image; ?>);
}
<?php } ?>
<?php if (!empty($item->module_bg_color)) { ?>
.<?php echo $item->module_position; ?> {
	background-color: <?php echo $item->module_bg_color; ?>;
}
<?php } ?>
<?php if (!empty($item->module_text_color)) { ?>
	.<?php echo $item->module_position; ?> {
		color: <?php echo $item->module_text_color; ?>;
	}
<?php } ?>
<?php if (!empty($item->module_title_color)) { ?>
.<?php echo $item->module_position; ?> .module_header h3,
.<?php echo $item->module_position; ?> h1,
.<?php echo $item->module_position; ?> h2,
.<?php echo $item->module_position; ?> h3,
.<?php echo $item->module_position; ?> h4,
.<?php echo $item->module_position; ?> h5,
.<?php echo $item->module_position; ?> h6 {
	color: <?php echo $item->module_title_color; ?>;
}
<?php } ?>
<?php if (!empty($item->module_button_color)) { ?>
.<?php echo $item->module_position; ?> .btn {
	background-color: <?php echo $item->module_button_color; ?>;
}
<?php } ?>
<?php if (!empty($item->module_padding)) { ?>
.<?php echo $item->module_position; ?> .module_surround {
	padding: <?php echo $item->module_padding; ?>px !important;
}
<?php } ?>


.<?php echo $item->module_position; ?> .module_surround {
<?php if (!($item->module_padding_top == NULL)) { ?>padding-top: <?php echo $item->module_padding_top; ?>px !important;<?php } ?>
<?php if (!($item->module_padding_right == NULL)) { ?>padding-right: <?php echo $item->module_padding_right; ?>px !important;<?php } ?>
<?php if (!($item->module_padding_bottom == NULL)) { ?>padding-bottom: <?php echo $item->module_padding_bottom; ?>px !important;<?php } ?>
<?php if (!($item->module_padding_left == NULL)) { ?>padding-left: <?php echo $item->module_padding_left; ?>px !important;<?php } ?>

}
<?php endif; ?>

<?php endforeach; ?>

/*--Load Custom Css Styling--*/
<?php echo ($custom_css); ?>
</style>

<?php if($customcss_sw == "1") : ?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/css/custom.css" type="text/css" />
<?php endif; ?>
